← Kembali ke SMM Hub

SMM Reseller & Developer API Documentation

Connect your panel, bot, or website directly to PesanJasa using the standard SMM v2 protocol.

🔑 Your SMM API Key

Keep your API key private and do not share it with third parties.

Please sign in to your account to place an order. untuk mendapatkan SMM API Key Anda.

Informasi Umum Protokol API v2

HTTP Method
POST
Response Format
JSON
Endpoint URL (PesanJasa API v2)
https://pesanjasa.com/api/v2 (atau https://pesanjasa.com/api/smm/v2)
POST

1. Ambil Daftar Layanan & Harga (Services List)

Mengembalikan seluruh daftar layanan aktif beserta harga khusus akun Anda.

Parameter:
key = YOUR_API_KEY
action = services
Contoh Response:
[
  {
    "service": 1,
    "name": "Instagram Followers [High Quality] [Instant]",
    "type": "default",
    "category": "Instagram Followers",
    "rate": "15000.00",
    "min": 100,
    "max": 50000,
    "refill": true,
    "cancel": false
  }
]
POST

2. Buat Pesanan Baru (Add Order)

Membuat transaksi pemesanan layanan SMM baru.

Parameter:
key = YOUR_API_KEY
action = add
service = SERVICE_ID
link = TARGET_URL_OR_USERNAME
quantity = QUANTITY (Wajib untuk type default)
comments = CUSTOM_COMMENTS (Wajib untuk type custom_comment, dipisahkan enter)
Contoh Response Sukses:
{
  "order": 1042
}
POST

3. Cek Status Pesanan (Order Status)

Parameter:
key = YOUR_API_KEY
action = status
order = 1042 (atau orders = 1042,1043,1044 untuk multi check)
Contoh Response:
{
  "charge": "15000.00",
  "start_count": 1250,
  "status": "Completed",
  "remains": 0,
  "currency": "IDR"
}
POST

4. Cek Saldo Akun (User Balance)

Parameter:
key = YOUR_API_KEY
action = balance
Contoh Response:
{
  "balance": "250000.00",
  "currency": "IDR"
}

Contoh Implementasi cURL (PHP / Bash)

curl -X POST https://pesanjasa.com/api/v2 \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1" \
  -d "link=https://instagram.com/pesanjasa" \
  -d "quantity=1000"